## TomoeReading

TomoeReading — An object of reading data of TomoeChar.

## Synopsis

                        TomoeReading;
    enum                TomoeReadingType;
    TomoeReading*       tomoe_reading_new                   (TomoeReadingType type,
                                                             const gchar *reading);
    TomoeReadingType    tomoe_reading_get_reading_type      (TomoeReading *reading);
    const gchar*        tomoe_reading_get_reading           (TomoeReading *reading);
    gchar*              tomoe_reading_to_xml                (TomoeReading *reading);

## Object Hierarchy

      GObject
       +----TomoeReading

## Properties

      "reading"                  gchararray            : Read / Write / Construct Only
      "type"                     TomoeReadingType      : Read / Write / Construct Only

## Description

## Details

### TomoeReading

    typedef struct _TomoeReading TomoeReading;

The TomoeReading struct contains only private fields and should not be directly accessed.

### enum TomoeReadingType

    typedef enum {
        TOMOE_READING_INVALID,
        TOMOE_READING_UNKNOWN,
        TOMOE_READING_JA_ON,
        TOMOE_READING_JA_KUN
    } TomoeReadingType;

### tomoe_reading_new ()

    TomoeReading*       tomoe_reading_new                   (TomoeReadingType type,
                                                             const gchar *reading);

`type` : |
`reading` : |
Returns : |

### tomoe_reading_get_reading_type ()

    TomoeReadingType    tomoe_reading_get_reading_type      (TomoeReading *reading);

`reading` : |
Returns : |

### tomoe_reading_get_reading ()

    const gchar*        tomoe_reading_get_reading           (TomoeReading *reading);

`reading` : |
Returns : |

### tomoe_reading_to_xml ()

    gchar*              tomoe_reading_to_xml                (TomoeReading *reading);

`reading` : |
Returns : |

## Property Details

### The "`reading`" property

      "reading"                  gchararray            : Read / Write / Construct Only

Reading of the reading.

Default value: NULL

### The "`type`" property

      "type"                     TomoeReadingType      : Read / Write / Construct Only

A type of the reading.

Default value: TOMOE_READING_INVALID